export declare const QBConfig: {
    credentials: {
        appId: number;
        accountKey: string;
        authKey: string;
        authSecret: string;
        sessionToken: string;
    };
    configAIApi: {
        AIAnswerAssistWidgetConfig: {
            organizationName: string;
            openAIModel: string;
            apiKey: string;
            maxTokens: number;
            useDefault: boolean;
            proxyConfig: {
                api: string;
                servername: string;
                port: string;
            };
        };
        AITranslateWidgetConfig: {
            organizationName: string;
            openAIModel: string;
            apiKey: string;
            maxTokens: number;
            useDefault: boolean;
            defaultLanguage: string;
            languages: string[];
            proxyConfig: {
                api: string;
                servername: string;
                port: string;
            };
        };
        AIRephraseWidgetConfig: {
            organizationName: string;
            openAIModel: string;
            apiKey: string;
            maxTokens: number;
            useDefault: boolean;
            defaultTone: string;
            Tones: {
                name: string;
                description: string;
                iconEmoji: string;
            }[];
            proxyConfig: {
                api: string;
                servername: string;
                port: string;
            };
        };
    };
    appConfig: {
        maxFileSize: number;
        sessionTimeOut: number;
        chatProtocol: {
            active: number;
        };
        debug: boolean;
        endpoints: {
            api: string;
            chat: string;
        };
        on: {
            sessionExpired(handleResponse: any, retry: any): Promise<void>;
        };
        streamManagement: {
            enable: boolean;
        };
    };
};
